Subject: Re: [Netconf] Fwd: New Version Notification for draft-mahesh-netconf-accounting-01.txt

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 3 Jul 2017 11:29:54 -0700

Madhu,

See inline

> On Mar 21, 2017, at 10:27 AM, Madhusudanan S (madhs) <[email-masked]> wrote:
> 
> Mahesh,
>  
> I’ve read through the below draft. This looks interesting and looking forward to implement.
>  
> Have few queries,
> -          ‘path’ is defined as matched NACM rule. Is it good to have complete request path with input values?

Ok. Have added value for what was requested for what configuration or operational data. But will not try to capture what was returned in response other than saying whether the request was permitted or denied.

> -          ‘path & ‘rule’ – these fields look redundant; and may increase the accounting-record size considerably. Can it be optimized.

Yes, I can drop 'path' in lieu of 'rule', or more specifically the 'name' of the rule, since a lookup of the NACM rule by name should reveal the path. Will do so with -03 version of the draft.

Thanks.

>  
> Thanks
> Madhu
>  
>  
> =========================================================================
>  
>  
> A new version of I-D, draft-mahesh-netconf-accounting-01.txt
> has been successfully submitted by Mahesh Jethanandani and posted to the
> IETF repository.
>  
> Name:             draft-mahesh-netconf-accounting
> Revision:         01
> Title:                Accounting in NETCONF and RESTCONF
> Document date:           2017-03-13
> Group:             Individual Submission
> Pages:              10
> URL:            https://www.ietf.org/internet-drafts/draft-mahesh-netconf-accounting-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-mahesh-netconf-accounting/
> Htmlized:       https://tools.ietf.org/html/draft-mahesh-netconf-accounting-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-mahesh-netconf-accounting-01
>  
> Abstract:
>   This document defines an accounting record for NETCONF and RESTCONF.
>  
>  
>  
Mahesh Jethanandani
[email-masked]